Skip to main content
GET
List campaigns

Authorizations

x-api-key
string
header
required

Send your Callin API key in the x-api-key header.

Query Parameters

Case-insensitive match on the campaign name.

status
enum<string>
Available options:
draft,
waiting,
running,
paused,
stopped,
completed,
failed,
delayed
agentId
string<uuid>
cursor
string

createdAt of the last campaign from the previous page.

pageSize
integer
default:30
Required range: 1 <= x <= 100
includeDeleted
enum<string>
Available options:
true,
false

Response

200 - application/json

Campaign list

success
boolean
Example:

true

data
object[]
pagination
object
requestId
string | null